var ENV = process.env.NODE_ENV;
if (ENV !== 'production' && ENV !== 'test' && typeof console !== 'undefined' && console.warn && typeof window !== 'undefined') {
    console.warn('You are using a whole package of sinosun-ui, ' + 'please use https://bizmatesit.sinosun.com:17380/bizmate/static/docs/platform/index.html#/./sinosun-ui/foreword to reduce app bundle size.');
}

/* 通用 */
import Button from './button';
import Icon from './icon';

/* 布局 */
import FlexBox from './flex-box';
import FlexItem from './flex-item';
import WingBlank from './wing-blank';
import WhiteSpace from './white-space';

/* 导航 */
import Tabs from './tabs';
import Tab from './tab';

/* 数据录入 */
import Input from './input';
import InputItem from './input-item';
import Textarea from './textarea';
import TextareaItem from './textarea-item';
import InputNumber from './input-number';
import InputNumberItem from './input-number-item';
import NumberKeyboard from './number-keyboard';
import Search from './search';
import Calendar from './calendar';
import DatetimePickerView from './datetime-picker-view';
import DatetimePicker from './datetime-picker';
import RangePickerView from './range-picker-view';
import RangePicker from './range-picker';
import Radio from './radio';
import RadioGroup from './radio-group';
import RadioItem from './radio-item';
import Checkbox from './checkbox';
import CheckboxGroup from './checkbox-group';
import CheckboxItem from './checkbox-item';
import Stepper from './stepper';
import PickerView from './picker-view';
import Picker from './picker';
import Switch from './switch';
import Upload from './upload';

/* 数据展示 */
import List from './list';
import ListItem from './list-item';
import Empty from './empty';
import DropdownMenu from './dropdown-menu';
import DropdownMenuItem from './dropdown-menu-item';
import Popup from './popup';
import Popover from './popover';
import Modal from './modal';
import Collapse from './collapse';
import CollapsePanel from './collapse-panel';
import Carousel from './carousel';
import CarouselItem from './carousel-item';
import ActionSheet from './action-sheet';

/* 反馈 */
import Loading from './loading';
import Toast from './toast';
import Overlay from './overlay';

/* 手势 */
import PullToRefresh from './pull-to-refresh';
import SwipeAction from './swipe-action';

/* 指令 */
import TransferDom from './directives/transfer-dom';

var components = [Button, Icon, FlexBox, FlexItem, WingBlank, WhiteSpace, Tabs, Tab, Input, InputItem, Textarea, TextareaItem, Calendar, DatetimePickerView, DatetimePicker, RangePickerView, RangePicker, Radio, RadioGroup, RadioItem, InputNumber, InputNumberItem, NumberKeyboard, Search, Checkbox, CheckboxGroup, CheckboxItem, Stepper, PickerView, Picker, Switch, Upload, List, ListItem, Empty, DropdownMenu, DropdownMenuItem, Modal, Collapse, CollapsePanel, Popup, Popover, Carousel, CarouselItem, ActionSheet, Loading, Toast, Overlay, PullToRefresh, SwipeAction];

var install = function install(Vue) {
    components.map(function (component) {
        Vue.use(component);
    });
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

export { Button, Icon, FlexBox, FlexItem, WingBlank, WhiteSpace, Tabs, Tab, Input, InputItem, Textarea, TextareaItem, Calendar, DatetimePickerView, DatetimePicker, RangePickerView, RangePicker, Radio, RadioGroup, RadioItem, InputNumber, InputNumberItem, NumberKeyboard, Search, Checkbox, CheckboxGroup, CheckboxItem, Stepper, PickerView, Picker, Switch, Upload, List, ListItem, Empty, DropdownMenu, DropdownMenuItem, Modal, Collapse, CollapsePanel, Popup, Popover, Carousel, CarouselItem, ActionSheet, Loading, Toast, Overlay, PullToRefresh, SwipeAction, TransferDom };

export default {
    install: install
};